package com.mortals.xhx.module.customer.model;

import java.util.List;
import com.mortals.xhx.module.customer.model.CustomerWorkDesignEntity;
/**
* 客户作品信息查询对象
*
* @author zxfei
* @date 2022-06-13
*/
public class CustomerWorkDesignQuery extends CustomerWorkDesignEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 客户ID */
    private Long customerIdStart;

    /** 结束 客户ID */
    private Long customerIdEnd;

    /** 增加 客户ID */
    private Long customerIdIncrement;

    /** 客户ID列表 */
    private List <Long> customerIdList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 作品名称 */
    private List<String> workDesignNameList;

    /** 开始 作品状态：0:草稿，1:发布 */
    private Integer workDesignStatusStart;

    /** 结束 作品状态：0:草稿，1:发布 */
    private Integer workDesignStatusEnd;

    /** 增加 作品状态：0:草稿，1:发布 */
    private Integer workDesignStatusIncrement;

    /** 作品状态：0:草稿，1:发布列表 */
    private List <Integer> workDesignStatusList;

    /** 作品描述 */
    private List<String> workDesignDescList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 模版引用的图片 */
    private Long pictureIdStart;

    /** 结束 模版引用的图片 */
    private Long pictureIdEnd;

    /** 增加 模版引用的图片 */
    private Long pictureIdIncrement;

    /** 模版引用的图片列表 */
    private List <Long> pictureIdList;

    /** 开始 模版引用的素材 */
    private Long pictureSrcIdStart;

    /** 结束 模版引用的素材 */
    private Long pictureSrcIdEnd;

    /** 增加 模版引用的素材 */
    private Long pictureSrcIdIncrement;

    /** 模版引用的素材列表 */
    private List <Long> pictureSrcIdList;

    /** 开始 模版引用的背景 */
    private Long pictureBackgroundIdStart;

    /** 结束 模版引用的背景 */
    private Long pictureBackgroundIdEnd;

    /** 增加 模版引用的背景 */
    private Long pictureBackgroundIdIncrement;

    /** 模版引用的背景列表 */
    private List <Long> pictureBackgroundIdList;

    /** 开始 作品引用的字体 */
    private Long fontIdStart;

    /** 结束 作品引用的字体 */
    private Long fontIdEnd;

    /** 增加 作品引用的字体 */
    private Long fontIdIncrement;

    /** 作品引用的字体列表 */
    private List <Long> fontIdList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<CustomerWorkDesignQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<CustomerWorkDesignQuery> andConditionList;

    public CustomerWorkDesignQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 客户ID
    * @return customerIdStart
    */
    public Long getCustomerIdStart(){
        return this.customerIdStart;
    }

    /**
    * 设置 开始 客户ID
    * @param customerIdStart
    */
    public void setCustomerIdStart(Long customerIdStart){
        this.customerIdStart = customerIdStart;
    }

    /**
    * 获取 结束 客户ID
    * @return $customerIdEnd
    */
    public Long getCustomerIdEnd(){
        return this.customerIdEnd;
    }

    /**
    * 设置 结束 客户ID
    * @param customerIdEnd
    */
    public void setCustomerIdEnd(Long customerIdEnd){
        this.customerIdEnd = customerIdEnd;
    }

    /**
    * 获取 增加 客户ID
    * @return customerIdIncrement
    */
    public Long getCustomerIdIncrement(){
        return this.customerIdIncrement;
    }

    /**
    * 设置 增加 客户ID
    * @param customerIdIncrement
    */
    public void setCustomerIdIncrement(Long customerIdIncrement){
        this.customerIdIncrement = customerIdIncrement;
    }

    /**
    * 获取 客户ID
    * @return customerIdList
    */
    public List<Long> getCustomerIdList(){
        return this.customerIdList;
    }

    /**
    * 设置 客户ID
    * @param customerIdList
    */
    public void setCustomerIdList(List<Long> customerIdList){
        this.customerIdList = customerIdList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 作品名称
    * @return workDesignNameList
    */
    public List<String> getWorkDesignNameList(){
        return this.workDesignNameList;
    }

    /**
    * 设置 作品名称
    * @param workDesignNameList
    */
    public void setWorkDesignNameList(List<String> workDesignNameList){
        this.workDesignNameList = workDesignNameList;
    }
    /**
    * 获取 开始 作品状态：0:草稿，1:发布
    * @return workDesignStatusStart
    */
    public Integer getWorkDesignStatusStart(){
        return this.workDesignStatusStart;
    }

    /**
    * 设置 开始 作品状态：0:草稿，1:发布
    * @param workDesignStatusStart
    */
    public void setWorkDesignStatusStart(Integer workDesignStatusStart){
        this.workDesignStatusStart = workDesignStatusStart;
    }

    /**
    * 获取 结束 作品状态：0:草稿，1:发布
    * @return $workDesignStatusEnd
    */
    public Integer getWorkDesignStatusEnd(){
        return this.workDesignStatusEnd;
    }

    /**
    * 设置 结束 作品状态：0:草稿，1:发布
    * @param workDesignStatusEnd
    */
    public void setWorkDesignStatusEnd(Integer workDesignStatusEnd){
        this.workDesignStatusEnd = workDesignStatusEnd;
    }

    /**
    * 获取 增加 作品状态：0:草稿，1:发布
    * @return workDesignStatusIncrement
    */
    public Integer getWorkDesignStatusIncrement(){
        return this.workDesignStatusIncrement;
    }

    /**
    * 设置 增加 作品状态：0:草稿，1:发布
    * @param workDesignStatusIncrement
    */
    public void setWorkDesignStatusIncrement(Integer workDesignStatusIncrement){
        this.workDesignStatusIncrement = workDesignStatusIncrement;
    }

    /**
    * 获取 作品状态：0:草稿，1:发布
    * @return workDesignStatusList
    */
    public List<Integer> getWorkDesignStatusList(){
        return this.workDesignStatusList;
    }

    /**
    * 设置 作品状态：0:草稿，1:发布
    * @param workDesignStatusList
    */
    public void setWorkDesignStatusList(List<Integer> workDesignStatusList){
        this.workDesignStatusList = workDesignStatusList;
    }

    /**
    * 获取 作品描述
    * @return workDesignDescList
    */
    public List<String> getWorkDesignDescList(){
        return this.workDesignDescList;
    }

    /**
    * 设置 作品描述
    * @param workDesignDescList
    */
    public void setWorkDesignDescList(List<String> workDesignDescList){
        this.workDesignDescList = workDesignDescList;
    }
    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 开始 模版引用的图片
    * @return pictureIdStart
    */
    public Long getPictureIdStart(){
        return this.pictureIdStart;
    }

    /**
    * 设置 开始 模版引用的图片
    * @param pictureIdStart
    */
    public void setPictureIdStart(Long pictureIdStart){
        this.pictureIdStart = pictureIdStart;
    }

    /**
    * 获取 结束 模版引用的图片
    * @return $pictureIdEnd
    */
    public Long getPictureIdEnd(){
        return this.pictureIdEnd;
    }

    /**
    * 设置 结束 模版引用的图片
    * @param pictureIdEnd
    */
    public void setPictureIdEnd(Long pictureIdEnd){
        this.pictureIdEnd = pictureIdEnd;
    }

    /**
    * 获取 增加 模版引用的图片
    * @return pictureIdIncrement
    */
    public Long getPictureIdIncrement(){
        return this.pictureIdIncrement;
    }

    /**
    * 设置 增加 模版引用的图片
    * @param pictureIdIncrement
    */
    public void setPictureIdIncrement(Long pictureIdIncrement){
        this.pictureIdIncrement = pictureIdIncrement;
    }

    /**
    * 获取 模版引用的图片
    * @return pictureIdList
    */
    public List<Long> getPictureIdList(){
        return this.pictureIdList;
    }

    /**
    * 设置 模版引用的图片
    * @param pictureIdList
    */
    public void setPictureIdList(List<Long> pictureIdList){
        this.pictureIdList = pictureIdList;
    }

    /**
    * 获取 开始 模版引用的素材
    * @return pictureSrcIdStart
    */
    public Long getPictureSrcIdStart(){
        return this.pictureSrcIdStart;
    }

    /**
    * 设置 开始 模版引用的素材
    * @param pictureSrcIdStart
    */
    public void setPictureSrcIdStart(Long pictureSrcIdStart){
        this.pictureSrcIdStart = pictureSrcIdStart;
    }

    /**
    * 获取 结束 模版引用的素材
    * @return $pictureSrcIdEnd
    */
    public Long getPictureSrcIdEnd(){
        return this.pictureSrcIdEnd;
    }

    /**
    * 设置 结束 模版引用的素材
    * @param pictureSrcIdEnd
    */
    public void setPictureSrcIdEnd(Long pictureSrcIdEnd){
        this.pictureSrcIdEnd = pictureSrcIdEnd;
    }

    /**
    * 获取 增加 模版引用的素材
    * @return pictureSrcIdIncrement
    */
    public Long getPictureSrcIdIncrement(){
        return this.pictureSrcIdIncrement;
    }

    /**
    * 设置 增加 模版引用的素材
    * @param pictureSrcIdIncrement
    */
    public void setPictureSrcIdIncrement(Long pictureSrcIdIncrement){
        this.pictureSrcIdIncrement = pictureSrcIdIncrement;
    }

    /**
    * 获取 模版引用的素材
    * @return pictureSrcIdList
    */
    public List<Long> getPictureSrcIdList(){
        return this.pictureSrcIdList;
    }

    /**
    * 设置 模版引用的素材
    * @param pictureSrcIdList
    */
    public void setPictureSrcIdList(List<Long> pictureSrcIdList){
        this.pictureSrcIdList = pictureSrcIdList;
    }

    /**
    * 获取 开始 模版引用的背景
    * @return pictureBackgroundIdStart
    */
    public Long getPictureBackgroundIdStart(){
        return this.pictureBackgroundIdStart;
    }

    /**
    * 设置 开始 模版引用的背景
    * @param pictureBackgroundIdStart
    */
    public void setPictureBackgroundIdStart(Long pictureBackgroundIdStart){
        this.pictureBackgroundIdStart = pictureBackgroundIdStart;
    }

    /**
    * 获取 结束 模版引用的背景
    * @return $pictureBackgroundIdEnd
    */
    public Long getPictureBackgroundIdEnd(){
        return this.pictureBackgroundIdEnd;
    }

    /**
    * 设置 结束 模版引用的背景
    * @param pictureBackgroundIdEnd
    */
    public void setPictureBackgroundIdEnd(Long pictureBackgroundIdEnd){
        this.pictureBackgroundIdEnd = pictureBackgroundIdEnd;
    }

    /**
    * 获取 增加 模版引用的背景
    * @return pictureBackgroundIdIncrement
    */
    public Long getPictureBackgroundIdIncrement(){
        return this.pictureBackgroundIdIncrement;
    }

    /**
    * 设置 增加 模版引用的背景
    * @param pictureBackgroundIdIncrement
    */
    public void setPictureBackgroundIdIncrement(Long pictureBackgroundIdIncrement){
        this.pictureBackgroundIdIncrement = pictureBackgroundIdIncrement;
    }

    /**
    * 获取 模版引用的背景
    * @return pictureBackgroundIdList
    */
    public List<Long> getPictureBackgroundIdList(){
        return this.pictureBackgroundIdList;
    }

    /**
    * 设置 模版引用的背景
    * @param pictureBackgroundIdList
    */
    public void setPictureBackgroundIdList(List<Long> pictureBackgroundIdList){
        this.pictureBackgroundIdList = pictureBackgroundIdList;
    }

    /**
    * 获取 开始 作品引用的字体
    * @return fontIdStart
    */
    public Long getFontIdStart(){
        return this.fontIdStart;
    }

    /**
    * 设置 开始 作品引用的字体
    * @param fontIdStart
    */
    public void setFontIdStart(Long fontIdStart){
        this.fontIdStart = fontIdStart;
    }

    /**
    * 获取 结束 作品引用的字体
    * @return $fontIdEnd
    */
    public Long getFontIdEnd(){
        return this.fontIdEnd;
    }

    /**
    * 设置 结束 作品引用的字体
    * @param fontIdEnd
    */
    public void setFontIdEnd(Long fontIdEnd){
        this.fontIdEnd = fontIdEnd;
    }

    /**
    * 获取 增加 作品引用的字体
    * @return fontIdIncrement
    */
    public Long getFontIdIncrement(){
        return this.fontIdIncrement;
    }

    /**
    * 设置 增加 作品引用的字体
    * @param fontIdIncrement
    */
    public void setFontIdIncrement(Long fontIdIncrement){
        this.fontIdIncrement = fontIdIncrement;
    }

    /**
    * 获取 作品引用的字体
    * @return fontIdList
    */
    public List<Long> getFontIdList(){
        return this.fontIdList;
    }

    /**
    * 设置 作品引用的字体
    * @param fontIdList
    */
    public void setFontIdList(List<Long> fontIdList){
        this.fontIdList = fontIdList;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public CustomerWorkDesignQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public CustomerWorkDesignQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public CustomerWorkDesignQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public CustomerWorkDesignQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public CustomerWorkDesignQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  客户ID
    * @param customerId
    */
    public CustomerWorkDesignQuery customerId(Long customerId){
	    setCustomerId(customerId);
		return this;
    }
	
	 /**
    * 设置 开始 客户ID
    * @param customerIdStart
    */
    public CustomerWorkDesignQuery customerIdStart(Long customerIdStart){
		this.customerIdStart = customerIdStart;
		return this;
    }

    /**
    * 设置 结束 客户ID
    * @param customerIdEnd
    */
    public CustomerWorkDesignQuery customerIdEnd(Long customerIdEnd){
		this.customerIdEnd = customerIdEnd;
		return this;
    }

    /**
    * 设置 增加 客户ID
    * @param customerIdIncrement
    */
    public CustomerWorkDesignQuery customerIdIncrement(Long customerIdIncrement){
		this.customerIdIncrement = customerIdIncrement;
		return this;
    }

    /**
    * 设置 客户ID
    * @param customerIdList
    */
    public CustomerWorkDesignQuery customerIdList(List<Long> customerIdList){
        this.customerIdList = customerIdList;
		return this;
        }



	/**
    * 设置 作品名称
    * @param workDesignName
    */
    public CustomerWorkDesignQuery workDesignName(String workDesignName){
        setWorkDesignName(workDesignName);
		return this;
    }

    /**
    * 设置 作品名称
    * @param workDesignNameList
    */
    public CustomerWorkDesignQuery workDesignNameList(List<String> workDesignNameList){
        this.workDesignNameList = workDesignNameList;
		return this;
    }

    /**
    * 设置  作品状态：0:草稿，1:发布
    * @param workDesignStatus
    */
    public CustomerWorkDesignQuery workDesignStatus(Integer workDesignStatus){
	    setWorkDesignStatus(workDesignStatus);
		return this;
    }
	
	 /**
    * 设置 开始 作品状态：0:草稿，1:发布
    * @param workDesignStatusStart
    */
    public CustomerWorkDesignQuery workDesignStatusStart(Integer workDesignStatusStart){
		this.workDesignStatusStart = workDesignStatusStart;
		return this;
    }

    /**
    * 设置 结束 作品状态：0:草稿，1:发布
    * @param workDesignStatusEnd
    */
    public CustomerWorkDesignQuery workDesignStatusEnd(Integer workDesignStatusEnd){
		this.workDesignStatusEnd = workDesignStatusEnd;
		return this;
    }

    /**
    * 设置 增加 作品状态：0:草稿，1:发布
    * @param workDesignStatusIncrement
    */
    public CustomerWorkDesignQuery workDesignStatusIncrement(Integer workDesignStatusIncrement){
		this.workDesignStatusIncrement = workDesignStatusIncrement;
		return this;
    }

    /**
    * 设置 作品状态：0:草稿，1:发布
    * @param workDesignStatusList
    */
    public CustomerWorkDesignQuery workDesignStatusList(List<Integer> workDesignStatusList){
        this.workDesignStatusList = workDesignStatusList;
		return this;
        }


	/**
    * 设置 作品描述
    * @param workDesignDesc
    */
    public CustomerWorkDesignQuery workDesignDesc(String workDesignDesc){
        setWorkDesignDesc(workDesignDesc);
		return this;
    }

    /**
    * 设置 作品描述
    * @param workDesignDescList
    */
    public CustomerWorkDesignQuery workDesignDescList(List<String> workDesignDescList){
        this.workDesignDescList = workDesignDescList;
		return this;
    }


    /**
    * 设置  模版引用的图片
    * @param pictureId
    */
    public CustomerWorkDesignQuery pictureId(Long pictureId){
	    setPictureId(pictureId);
		return this;
    }
	
	 /**
    * 设置 开始 模版引用的图片
    * @param pictureIdStart
    */
    public CustomerWorkDesignQuery pictureIdStart(Long pictureIdStart){
		this.pictureIdStart = pictureIdStart;
		return this;
    }

    /**
    * 设置 结束 模版引用的图片
    * @param pictureIdEnd
    */
    public CustomerWorkDesignQuery pictureIdEnd(Long pictureIdEnd){
		this.pictureIdEnd = pictureIdEnd;
		return this;
    }

    /**
    * 设置 增加 模版引用的图片
    * @param pictureIdIncrement
    */
    public CustomerWorkDesignQuery pictureIdIncrement(Long pictureIdIncrement){
		this.pictureIdIncrement = pictureIdIncrement;
		return this;
    }

    /**
    * 设置 模版引用的图片
    * @param pictureIdList
    */
    public CustomerWorkDesignQuery pictureIdList(List<Long> pictureIdList){
        this.pictureIdList = pictureIdList;
		return this;
        }

    /**
    * 设置  模版引用的素材
    * @param pictureSrcId
    */
    public CustomerWorkDesignQuery pictureSrcId(Long pictureSrcId){
	    setPictureSrcId(pictureSrcId);
		return this;
    }
	
	 /**
    * 设置 开始 模版引用的素材
    * @param pictureSrcIdStart
    */
    public CustomerWorkDesignQuery pictureSrcIdStart(Long pictureSrcIdStart){
		this.pictureSrcIdStart = pictureSrcIdStart;
		return this;
    }

    /**
    * 设置 结束 模版引用的素材
    * @param pictureSrcIdEnd
    */
    public CustomerWorkDesignQuery pictureSrcIdEnd(Long pictureSrcIdEnd){
		this.pictureSrcIdEnd = pictureSrcIdEnd;
		return this;
    }

    /**
    * 设置 增加 模版引用的素材
    * @param pictureSrcIdIncrement
    */
    public CustomerWorkDesignQuery pictureSrcIdIncrement(Long pictureSrcIdIncrement){
		this.pictureSrcIdIncrement = pictureSrcIdIncrement;
		return this;
    }

    /**
    * 设置 模版引用的素材
    * @param pictureSrcIdList
    */
    public CustomerWorkDesignQuery pictureSrcIdList(List<Long> pictureSrcIdList){
        this.pictureSrcIdList = pictureSrcIdList;
		return this;
        }

    /**
    * 设置  模版引用的背景
    * @param pictureBackgroundId
    */
    public CustomerWorkDesignQuery pictureBackgroundId(Long pictureBackgroundId){
	    setPictureBackgroundId(pictureBackgroundId);
		return this;
    }
	
	 /**
    * 设置 开始 模版引用的背景
    * @param pictureBackgroundIdStart
    */
    public CustomerWorkDesignQuery pictureBackgroundIdStart(Long pictureBackgroundIdStart){
		this.pictureBackgroundIdStart = pictureBackgroundIdStart;
		return this;
    }

    /**
    * 设置 结束 模版引用的背景
    * @param pictureBackgroundIdEnd
    */
    public CustomerWorkDesignQuery pictureBackgroundIdEnd(Long pictureBackgroundIdEnd){
		this.pictureBackgroundIdEnd = pictureBackgroundIdEnd;
		return this;
    }

    /**
    * 设置 增加 模版引用的背景
    * @param pictureBackgroundIdIncrement
    */
    public CustomerWorkDesignQuery pictureBackgroundIdIncrement(Long pictureBackgroundIdIncrement){
		this.pictureBackgroundIdIncrement = pictureBackgroundIdIncrement;
		return this;
    }

    /**
    * 设置 模版引用的背景
    * @param pictureBackgroundIdList
    */
    public CustomerWorkDesignQuery pictureBackgroundIdList(List<Long> pictureBackgroundIdList){
        this.pictureBackgroundIdList = pictureBackgroundIdList;
		return this;
        }

    /**
    * 设置  作品引用的字体
    * @param fontId
    */
    public CustomerWorkDesignQuery fontId(Long fontId){
	    setFontId(fontId);
		return this;
    }
	
	 /**
    * 设置 开始 作品引用的字体
    * @param fontIdStart
    */
    public CustomerWorkDesignQuery fontIdStart(Long fontIdStart){
		this.fontIdStart = fontIdStart;
		return this;
    }

    /**
    * 设置 结束 作品引用的字体
    * @param fontIdEnd
    */
    public CustomerWorkDesignQuery fontIdEnd(Long fontIdEnd){
		this.fontIdEnd = fontIdEnd;
		return this;
    }

    /**
    * 设置 增加 作品引用的字体
    * @param fontIdIncrement
    */
    public CustomerWorkDesignQuery fontIdIncrement(Long fontIdIncrement){
		this.fontIdIncrement = fontIdIncrement;
		return this;
    }

    /**
    * 设置 作品引用的字体
    * @param fontIdList
    */
    public CustomerWorkDesignQuery fontIdList(List<Long> fontIdList){
        this.fontIdList = fontIdList;
		return this;
        }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<CustomerWorkDesignQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<CustomerWorkDesignQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<CustomerWorkDesignQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<CustomerWorkDesignQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}